<template>
  <v-card class="mt-10">
    <v-card-title>Top Sale</v-card-title>
    <v-row v-if="render">
      <v-col>
        <apexchart
          width="100%"
          height="300"
          type="area"
          :options="options"
          :series="series"
        ></apexchart>
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import VueApexCharts from "vue-apexcharts";
export default {
  name: "ChartViewDashboard",
  components: {
    apexchart: VueApexCharts
  },
  data() {
    return {
      render: false,
      options: {
        chart: {
          height: 350,
          type: "area"
        },
        dataLabels: {
          enabled: false
        },
        stroke: {
          curve: "smooth"
        },
        xaxis: {
          type: "datetime",
          categories: [
            "2018-09-19T00:00:00.000Z",
            "2018-09-19T01:30:00.000Z",
            "2018-09-19T02:30:00.000Z",
            "2018-09-19T03:30:00.000Z",
            "2018-09-19T04:30:00.000Z",
            "2018-09-19T05:30:00.000Z",
            "2018-09-19T06:30:00.000Z"
          ]
        },
        tooltip: {
          x: {
            format: "dd/MM/yy HH:mm"
          }
        }
      },
      series: [
        {
          name: "Night",
          data: [31, 40, 28, 51, 42, 109, 100]
        },
        {
          name: "Morning",
          data: [11, 32, 45, 32, 34, 52, 41]
        }
      ]
    };
  },
  created() {
    setTimeout(() => {
      this.render = true;
    }, 500);
  }
};
</script>
